# ``twisted`.`spread`.`interfaces`.`IUnjellyable``

interface documentation

`class IUnjellyable(Interface): (source)`

Known implementations: `twisted.spread.jelly.Unjellyable`, `twisted.spread.pb.RemoteReference`

View In Hierarchy

Undocumented

Method | `unjellyFor` | Unjelly myself for the jellier.

def unjellyFor(jellier, jellyList): (source)
Unjelly myself for the jellier.

Parameters
jellier | A stateful object which exists for the lifetime of a single call to `unjelly`.
jellyList | The `list` which represents the jellied state of the object to be unjellied.
Returns
The object which results from unjellying.